story10/urls.py
from django.contrib import admin
from django.urls import path, include
from django.conf.urls.static import static
from django.conf import settings

urlpatterns = [
    path('admin/', admin.site.urls),
    path('',include('tugas.urls')),
    path('accounts/', include('django.contrib.auth.urls')),
]
urlpatterns += static(settings.MEDIA_URL, document_root=settings.MEDIA_ROOT)

tugas/urls.py
from django.urls import path
from . import views

urlpatterns = [
    path('',views.index,name='index'),
    path('register',views.register, name="register"),

]

tugas/models.py
from django.db import models
from django.conf import settings

class Picture(models.Model):
    user = models.ForeignKey(settings.AUTH_USER_MODEL, on_delete=models.CASCADE)
    picture = models.ImageField('/')

    def __str__(self):
        return str(self.user)
# Create your models here.

tugas/forms.py
from django import forms
from django.contrib.auth.models import User
from django.contrib.auth.forms import UserCreationForm
from .models import Picture

class RegistrationForm(UserCreationForm):
    email = forms.EmailField(required=True)
    class Meta:
        model = User
        fields = (
            'username',
            'first_name',
            'last_name',
            'email',
            'password1',
            'password2',
        )

    def save(self, commit=True):
        user = super(RegistrationForm, self).save(commit=False)
        user.first_name = self.cleaned_data['first_name']
        user.last_name = self.cleaned_data['last_name']
        user.email = self.cleaned_data['email']
    
        if commit:
            user.save()
##Create your forms here

tugas/views.py
from django.shortcuts import render,redirect
from django.contrib.auth.forms import UserCreationForm
from django.contrib.auth import authenticate, login
from .forms import RegistrationForm
from .models import Picture
from django.contrib.auth.models import User
# Create your views here.
def index(request):
    context = {}
    if request.user.is_authenticated:
        context['image'] = Picture.objects.get(user = request.user)
    return render(request,'pages/index.html', context)

def register(request):
    if request.method == 'POST':
        form = RegistrationForm(request.POST)
        if form.is_valid():
            form.save()

            username = form.cleaned_data['username']
            password = form.cleaned_data['password1']

            image = request.POST['image']
            user = User.objects.get(username=username)

            userPicture = Picture.objects.create(picture=image,user=user)
            userPicture.save()

            user = authenticate(username = username, password = password)
            login(request, user)
            return redirect('index')
    else:
        form = RegistrationForm()
    return render(request, 'pages/register.html',{'form' : form})

tugas/templates/pages/index.html
{% load static %}
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Story10</title>
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css" integrity="sha384-Vkoo8x4CGsO3+Hhxv8T/Q5PaXtkKtu6ug5TOeNV6gBiFeWPGFN9MuhOf23Q9Ifjh" crossorigin="anonymous">
    <link rel="stylesheet" href="{% static 'css/main.css' %}">
</head>
<body>
    <div class="container">
        {% if user.is_authenticated %}
            <div class="mt-2">
                <a class="btn btn-danger" href="{% url 'logout' %}">Log out</a>
            </div>
                <div class="text-center mt-5">
                    <h1>Profile</h1>
                </div>
                <div class="card">
                    <div class="row align-items-center">
                        <div class="col-md-6">
                            <img src="{{image.picture.url}}" class="img-fluid img-thumbnail">
                        </div>
                        <div class="col-md-6 ">
                            <p><strong>Username:</strong> {{user.username}}</p>
                            <p><strong>First Name:</strong> {{user.first_name}}</p>
                            <p><strong>Last Name:</strong> {{user.last_name}}</p>
                            <p><strong>Email:</strong> {{user.email}}</p>
                        </div>
                    </div>
                </div>
            
        {% else %}
            <div class="mt-2">
                <a class="btn btn-primary" href="{% url 'login' %}">Log in</a>
                <a class="btn btn-success" href="{% url 'register' %}">Register</a>
            </div>
            <div class="text-center mt-5">
                <h1 >Please log in</h1>
            </div>
        {% endif %}
    </div>
    
    <script src="https://code.jquery.com/jquery-3.4.1.slim.min.js" integrity="sha384-J6qa4849blE2+poT4WnyKhv5vZF5SrPo0iEjwBvKU7imGFAV0wwj1yYfoRSJoZ+n" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.0/dist/umd/popper.min.js" integrity="sha384-Q6E9RHvbIyZFJoft+2mJbHaEWldlvI9IOYy5n3zV9zzTtmI3UksdQRVvoxMfooAo" crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/js/bootstrap.min.js" integrity="sha384-wfSDF2E50Y2D1uUdj0O3uMBJnjuUD4Ih7YwaYd1iqfktj0Uod8GCExl3Og8ifwB6" crossorigin="anonymous"></script>
</body>
</html>

tugas/templates/pages/register.html
{% load static %}
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Register</title>
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css" integrity="sha384-Vkoo8x4CGsO3+Hhxv8T/Q5PaXtkKtu6ug5TOeNV6gBiFeWPGFN9MuhOf23Q9Ifjh" crossorigin="anonymous">
    <link rel="stylesheet" href="{% static 'css/main.css' %}">
</head>
<body> 
    <form class="container mt-4" method="post" action="{% url 'register' %}">
        {% csrf_token %}
        <div class="form-group">
            <label for="id_username">Username:</label>
            <input class="form-control" type="text" name="username" maxlength="150" autofocus="" required="" id="id_username">
        </div>
        <div class="form-group">
            <label for="id_first_name">First name:</label>
            <input type="text" name="first_name" maxlength="30" id="id_first_name" class="form-control">
        </div>
        <div class="form-group">
            <label for="id_last_name">Last name:</label>
            <input type="text" name="last_name" maxlength="150" id="id_last_name" class="form-control">
        </div>
        <div class="form-group">
            <label for="id_email">Email:</label>
            <input type="email" name="email" required="" id="id_email" class="form-control">
        </div>
        <div class="form-group">    
            <label for="id_password1">Password:</label>
            <input class="form-control" type="password" name="password1" required="" id="id_password1">
        </div>
        <div class="form-group">
            <label for="id_password2">Password confirmation:</label>
            <input class="form-control" type="password" name="password2" required="" id="id_password2">
        </div>
        <div class="form-group">
            <label>Picture:</label>
            <input type="file" name="image">
        </div>
        <input class="btn btn-primary" type="submit" value="Register">
    </form>
    {{ form.errors }}
    {{ form.non_field_errors }}
    <script src="https://code.jquery.com/jquery-3.4.1.slim.min.js" integrity="sha384-J6qa4849blE2+poT4WnyKhv5vZF5SrPo0iEjwBvKU7imGFAV0wwj1yYfoRSJoZ+n" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.0/dist/umd/popper.min.js" integrity="sha384-Q6E9RHvbIyZFJoft+2mJbHaEWldlvI9IOYy5n3zV9zzTtmI3UksdQRVvoxMfooAo" crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/js/bootstrap.min.js" integrity="sha384-wfSDF2E50Y2D1uUdj0O3uMBJnjuUD4Ih7YwaYd1iqfktj0Uod8GCExl3Og8ifwB6" crossorigin="anonymous"></script>
</body>
</html>